%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   Twisted
%define modv   8.2
%define modr   0


Summary:       An event-driven networking engine for Python
Name:          python-%{modn}
Version:       %{modv}.%{modr}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       http://tmrc.mit.edu/mirror/twisted/%{modn}/%{modv}/%{modn}-%{modv}.%{modr}.tar.bz2
URL:           http://twistedmatrix.com/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Twisted Matrix Laboratories <twisted-python@twistedmatrix.com>
Provides:      python(%{modn}) = %{modv}.%{modr}
Provides:      python(%{modn}.Core) = %{modv}.%{modr}
Provides:      python(%{modn}.Conch) = %{modv}.%{modr}
Provides:      python(%{modn}.Web) = %{modv}.%{modr}
Provides:      python(%{modn}.Mail) = %{modv}.%{modr}
Provides:      python(%{modn}.Names) = %{modv}.%{modr}
Provides:      python(%{modn}.News) = %{modv}.%{modr}
Provides:      python(%{modn}.Words) = %{modv}.%{modr}
Provides:      python(%{modn}.Lore) = %{modv}.%{modr}
Provides:      python(%{modn}.Runner) = %{modv}.%{modr}
Provides:      python(%{modn}.Flow) = %{modv}.%{modr}
Provides:      python(%{modn}.Pair) = %{modv}.%{modr}
Requires:      python(ZopeInterface) >= 3.0.1
BuildRequires: python-devel >= 2.3.5 python-setuptools
BuildRequires: python(ZopeInterface) >= 3.0.1
Obsoletes:     python-TwistedSumo


%description
Twisted is an event-based framework for internet applications which works
on Python 2.3+. It includes a number of modules and supports integration
of the Tk, GTK+, Qt, Mac OS X, or wxPython event loop with its main event
loop. The Win32 event loop is also supported.


%prep
%setup -q -n %{modn}-%{modv}.%{modr}

# Prepare docs etc.
%{__cp} -a doc inst
%{__rm} -rf inst/{historic,core/upgrades}
find inst -depth -type d -name "man" -exec %{__rm} -rf {} \;

# Fix path to Python
for FILE in `find inst -type f -exec fgrep -l "/bin/python2" {} \;`; do
  %{__perl} -i -pe 's+(/.*)?/bin/python2\..+%{__python}+g' ${FILE}
done


%build
%{__python} setup.py build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__python} setup.py install \
	--skip-build -O1     \
	--root ${RPM_BUILD_ROOT}

%{__install} -m 0644 doc/*/man/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%{__cp} -a inst/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL LICENSE NEWS README
%{_bindir}/cftp
%{_bindir}/ckeygen
%{_bindir}/conch
%{_bindir}/im
%{_bindir}/lore
%{_bindir}/mailmail
%{_bindir}/manhole
%{_bindir}/mktap
%{_bindir}/pyhtmlizer
%{_bindir}/tap2deb
%{_bindir}/tap2rpm
%{_bindir}/tapconvert
%{_bindir}/tkconch
%{_bindir}/trial
%{_bindir}/twistd
%{_mandir}/man1/ckeygen.1*
%{_mandir}/man1/cftp.1*
%{_mandir}/man1/conch.1*
%{_mandir}/man1/tkconch.1*
%{_mandir}/man1/mailmail.1*
%{_mandir}/man1/lore.1*
%{_mandir}/man1/im.1*
%{_mandir}/man1/mktap.1*
%{_mandir}/man1/manhole.1*
%{_mandir}/man1/twistd.1*
%{_mandir}/man1/tap2deb.1*
%{_mandir}/man1/tapconvert.1*
%{_mandir}/man1/pyhtmlizer.1*
%{_mandir}/man1/trial.1*
%{_mandir}/man1/tap2rpm.1*
%{_datadir}/%{name}
%{python_sitearch}/twisted
%{python_sitearch}/*.egg-info


%changelog
* Tue Jan 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 8.2.0-1
- New version (8.2.0)

* Wed Nov 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 8.1.0-1
- Fixed versioning

* Tue Nov 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 8.1-1
- Initial build
